Daily Statistics
Get daily statistics
Retrieves aggregated historical metrics for the Starknet network over a specified time range. Supports querying individual metrics or all available metrics across different time periods.
GET
Get daily statistics
Authorizations
API key for authentication. Get your key at https://voyager.online/plans
Query Parameters
Page number. Defaults to 1.
Number of items per page. Available options: 10, 25, 50, 100.
Metric name to retrieve, or "" for all available metrics. Defaults to "".
Available options:
*, transactions_per_block, transactions_per_second, max_transactions_per_second, transactions_count, classes_count, events_count, messages_count, contracts_count, cairo_1_classes, cairo_1_contracts, account_contracts_count, active_account_contracts, l1_block_creation_time, l2_block_creation_time, proof_generation_time, fee_per_block, tvl, account_contracts, active_accounts, txns_in_queue, queue_delay, tx_time, gas_per_block, user_operations_count, user_operations_per_block, user_operations_per_second, max_user_operations_per_second, account_calls_count, account_calls_per_block, account_calls_per_second, max_account_calls_per_second, standardized_tps, erc20_scaling, eth_transfer_fee, erc20_transfer_fee, swap_fee, nft_mint_fee, starkgate_eth_deposit_fee, starkgate_eth_withdrawal_fee, l1_block_verification_cost Time window for historical data: "1w" (1 week), "1m" (1 month), "3m", "6m", "1y", or "max". Defaults to "1m".
Available options:
max, 1y, 1m, 1w, 1d Response
Daily statistics
- Option 1
- Option 2
- Option 3
- Option 4
- Option 5
- Option 6
- Option 7
- Option 8
- Option 9
- Option 10
- Option 11